<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<?fileVersion 4.0.0?><cproject storage_type_id="org.eclipse.cdt.core.XmlProjectDescriptionStorage">
	<storageModule moduleId="org.eclipse.cdt.core.settings">
		<cconfiguration id="de.innot.avreclipse.configuration.app.debug.1427179435">
			<storageModule buildSystemId="org.eclipse.cdt.managedbuilder.core.configurationDataProvider" id="de.innot.avreclipse.configuration.app.debug.1427179435" moduleId="org.eclipse.cdt.core.settings" name="Debug">
				<externalSettings/>
				<extensions>
					<extension id="org.eclipse.cdt.core.ELF" point="org.eclipse.cdt.core.BinaryParser"/>
					<extension id="org.eclipse.cdt.core.GASErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
					<extension id="org.eclipse.cdt.core.GLDErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
					<extension id="org.eclipse.cdt.core.MakeErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
					<extension id="org.eclipse.cdt.core.GCCErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
				</extensions>
			</storageModule>
			<storageModule moduleId="cdtBuildSystem" version="4.0.0">
				<configuration artifactName="${ProjName}" buildArtefactType="de.innot.avreclipse.buildArtefactType.app" buildProperties="org.eclipse.cdt.build.core.buildArtefactType=de.innot.avreclipse.buildArtefactType.app,org.eclipse.cdt.build.core.buildType=org.eclipse.cdt.build.core.buildType.debug" description="" id="de.innot.avreclipse.configuration.app.debug.1427179435" name="Debug" parent="de.innot.avreclipse.configuration.app.debug">
					<folderInfo id="de.innot.avreclipse.configuration.app.debug.1427179435." name="/" resourcePath="">
						<toolChain id="de.innot.avreclipse.toolchain.winavr.app.debug.1978605780" name="AVR-GCC Toolchain" superClass="de.innot.avreclipse.toolchain.winavr.app.debug">
							<option id="de.innot.avreclipse.toolchain.options.toolchain.objcopy.flash.app.debug.2009251621" name="Generate HEX file for Flash memory" superClass="de.innot.avreclipse.toolchain.options.toolchain.objcopy.flash.app.debug" value="true" valueType="boolean"/>
							<option id="de.innot.avreclipse.toolchain.options.toolchain.objcopy.eeprom.app.debug.835121431" name="Generate HEX file for EEPROM" superClass="de.innot.avreclipse.toolchain.options.toolchain.objcopy.eeprom.app.debug"/>
							<option id="de.innot.avreclipse.toolchain.options.toolchain.objdump.app.debug.1695375897" name="Generate Extended Listing (Source + generated Assembler)" superClass="de.innot.avreclipse.toolchain.options.toolchain.objdump.app.debug"/>
							<option id="de.innot.avreclipse.toolchain.options.toolchain.size.app.debug.2067657557" name="Print Size" superClass="de.innot.avreclipse.toolchain.options.toolchain.size.app.debug"/>
							<option id="de.innot.avreclipse.toolchain.options.toolchain.avrdude.app.debug.549047469" name="AVRDude" superClass="de.innot.avreclipse.toolchain.options.toolchain.avrdude.app.debug"/>
							<targetPlatform id="de.innot.avreclipse.targetplatform.winavr.app.debug.1506165090" name="AVR Cross-Target" superClass="de.innot.avreclipse.targetplatform.winavr.app.debug"/>
							<builder buildPath="${workspace_loc:/openChargeMicro}/Debug" id="de.innot.avreclipse.target.builder.winavr.app.debug.1802160882" keepEnvironmentInBuildfile="false" managedBuildOn="true" name="AVR GNU Make Builder" superClass="de.innot.avreclipse.target.builder.winavr.app.debug"/>
							<tool id="de.innot.avreclipse.tool.assembler.winavr.app.debug.2973573" name="AVR Assembler" superClass="de.innot.avreclipse.tool.assembler.winavr.app.debug">
								<option id="de.innot.avreclipse.assembler.option.debug.level.1730166117" name="Generate Debugging Info" superClass="de.innot.avreclipse.assembler.option.debug.level"/>
								<option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="false" id="de.innot.avreclipse.asm.option.include.paths.609228093" name="#include paths for preprocessor(-I)" superClass="de.innot.avreclipse.asm.option.include.paths" valueType="includePath">
									<listOptionValue builtIn="false" value="/usr/avr/sys-root/include/"/>
								</option>
								<inputType id="de.innot.avreclipse.tool.assembler.input.1688645027" superClass="de.innot.avreclipse.tool.assembler.input"/>
							</tool>
							<tool id="de.innot.avreclipse.tool.compiler.winavr.app.debug.2133252740" name="AVR Compiler" superClass="de.innot.avreclipse.tool.compiler.winavr.app.debug">
								<option id="de.innot.avreclipse.compiler.option.debug.level.1241513296" name="Generate Debugging Info" superClass="de.innot.avreclipse.compiler.option.debug.level"/>
								<option id="de.innot.avreclipse.compiler.option.optimize.156807761" name="Optimization Level" superClass="de.innot.avreclipse.compiler.option.optimize"/>
								<option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="false" id="de.innot.avreclipse.compiler.option.incpath.2022106753" name="Include Paths (-I)" superClass="de.innot.avreclipse.compiler.option.incpath" valueType="includePath">
									<listOptionValue builtIn="false" value="/usr/avr/sys-root/include/"/>
								</option>
								<inputType id="de.innot.avreclipse.compiler.winavr.input.507254525" name="C Source Files" superClass="de.innot.avreclipse.compiler.winavr.input"/>
							</tool>
							<tool id="de.innot.avreclipse.tool.cppcompiler.app.debug.1143634285" name="AVR C++ Compiler" superClass="de.innot.avreclipse.tool.cppcompiler.app.debug">
								<option id="de.innot.avreclipse.cppcompiler.option.debug.level.503422737" name="Generate Debugging Info" superClass="de.innot.avreclipse.cppcompiler.option.debug.level"/>
								<option id="de.innot.avreclipse.cppcompiler.option.optimize.155779868" name="Optimization Level" superClass="de.innot.avreclipse.cppcompiler.option.optimize"/>
								<option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="false" id="de.innot.avreclipse.cppcompiler.option.incpath.823066655" name="Include Paths (-I)" superClass="de.innot.avreclipse.cppcompiler.option.incpath" valueType="includePath">
									<listOptionValue builtIn="false" value="/usr/avr/sys-root/include/"/>
								</option>
								<inputType id="de.innot.avreclipse.cppcompiler.input.250930691" superClass="de.innot.avreclipse.cppcompiler.input"/>
							</tool>
							<tool id="de.innot.avreclipse.tool.linker.winavr.app.debug.853456894" name="AVR C Linker" superClass="de.innot.avreclipse.tool.linker.winavr.app.debug"/>
							<tool id="de.innot.avreclipse.tool.cpplinker.app.debug.903398008" name="AVR C++ Linker" superClass="de.innot.avreclipse.tool.cpplinker.app.debug">
								<inputType id="de.innot.avreclipse.tool.cpplinker.input.65952620" name="OBJ Files" superClass="de.innot.avreclipse.tool.cpplinker.input">
									<additionalInput kind="additionalinputdependency" paths="$(USER_OBJS)"/>
									<additionalInput kind="additionalinput" paths="$(LIBS)"/>
								</inputType>
							</tool>
							<tool id="de.innot.avreclipse.tool.archiver.winavr.base.800620483" name="AVR Archiver" superClass="de.innot.avreclipse.tool.archiver.winavr.base"/>
							<tool id="de.innot.avreclipse.tool.objdump.winavr.app.debug.1372201036" name="AVR Create Extended Listing" superClass="de.innot.avreclipse.tool.objdump.winavr.app.debug"/>
							<tool id="de.innot.avreclipse.tool.objcopy.flash.winavr.app.debug.1647373475" name="AVR Create Flash image" superClass="de.innot.avreclipse.tool.objcopy.flash.winavr.app.debug"/>
							<tool id="de.innot.avreclipse.tool.objcopy.eeprom.winavr.app.debug.1462807145" name="AVR Create EEPROM image" superClass="de.innot.avreclipse.tool.objcopy.eeprom.winavr.app.debug"/>
							<tool id="de.innot.avreclipse.tool.size.winavr.app.debug.705422082" name="Print Size" superClass="de.innot.avreclipse.tool.size.winavr.app.debug"/>
							<tool id="de.innot.avreclipse.tool.avrdude.app.debug.1553302162" name="AVRDude" superClass="de.innot.avreclipse.tool.avrdude.app.debug"/>
						</toolChain>
					</folderInfo>
				</configuration>
			</storageModule>
			<storageModule moduleId="org.eclipse.cdt.core.externalSettings"/>
		</cconfiguration>
		<cconfiguration id="de.innot.avreclipse.configuration.app.release.1977445521">
			<storageModule buildSystemId="org.eclipse.cdt.managedbuilder.core.configurationDataProvider" id="de.innot.avreclipse.configuration.app.release.1977445521" moduleId="org.eclipse.cdt.core.settings" name="Release">
				<externalSettings/>
				<extensions>
					<extension id="org.eclipse.cdt.core.ELF" point="org.eclipse.cdt.core.BinaryParser"/>
					<extension id="org.eclipse.cdt.core.GASErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
					<extension id="org.eclipse.cdt.core.GLDErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
					<extension id="org.eclipse.cdt.core.MakeErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
					<extension id="org.eclipse.cdt.core.GCCErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
				</extensions>
			</storageModule>
			<storageModule moduleId="cdtBuildSystem" version="4.0.0">
				<configuration artifactName="${ProjName}" buildArtefactType="de.innot.avreclipse.buildArtefactType.app" buildProperties="org.eclipse.cdt.build.core.buildArtefactType=de.innot.avreclipse.buildArtefactType.app,org.eclipse.cdt.build.core.buildType=org.eclipse.cdt.build.core.buildType.release" description="" id="de.innot.avreclipse.configuration.app.release.1977445521" name="Release" parent="de.innot.avreclipse.configuration.app.release">
					<folderInfo id="de.innot.avreclipse.configuration.app.release.1977445521." name="/" resourcePath="">
						<toolChain id="de.innot.avreclipse.toolchain.winavr.app.release.1633344275" name="AVR-GCC Toolchain" superClass="de.innot.avreclipse.toolchain.winavr.app.release">
							<option id="de.innot.avreclipse.toolchain.options.toolchain.objcopy.flash.app.release.1628712508" name="Generate HEX file for Flash memory" superClass="de.innot.avreclipse.toolchain.options.toolchain.objcopy.flash.app.release"/>
							<option id="de.innot.avreclipse.toolchain.options.toolchain.objcopy.eeprom.app.release.761603768" name="Generate HEX file for EEPROM" superClass="de.innot.avreclipse.toolchain.options.toolchain.objcopy.eeprom.app.release"/>
							<option id="de.innot.avreclipse.toolchain.options.toolchain.objdump.app.release.774199864" name="Generate Extended Listing (Source + generated Assembler)" superClass="de.innot.avreclipse.toolchain.options.toolchain.objdump.app.release"/>
							<option id="de.innot.avreclipse.toolchain.options.toolchain.size.app.release.716684797" name="Print Size" superClass="de.innot.avreclipse.toolchain.options.toolchain.size.app.release"/>
							<option id="de.innot.avreclipse.toolchain.options.toolchain.avrdude.app.release.790992888" name="AVRDude" superClass="de.innot.avreclipse.toolchain.options.toolchain.avrdude.app.release"/>
							<targetPlatform id="de.innot.avreclipse.targetplatform.winavr.app.release.1454696610" name="AVR Cross-Target" superClass="de.innot.avreclipse.targetplatform.winavr.app.release"/>
							<builder buildPath="${workspace_loc:/openChargeMicro}/Release" id="de.innot.avreclipse.target.builder.winavr.app.release.267231778" keepEnvironmentInBuildfile="false" managedBuildOn="true" name="AVR GNU Make Builder" superClass="de.innot.avreclipse.target.builder.winavr.app.release"/>
							<tool id="de.innot.avreclipse.tool.assembler.winavr.app.release.390233255" name="AVR Assembler" superClass="de.innot.avreclipse.tool.assembler.winavr.app.release">
								<option id="de.innot.avreclipse.assembler.option.debug.level.270978030" name="Generate Debugging Info" superClass="de.innot.avreclipse.assembler.option.debug.level" value="de.innot.avreclipse.assembler.option.debug.level.none" valueType="enumerated"/>
								<option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="false" id="de.innot.avreclipse.asm.option.include.paths.183896263" name="#include paths for preprocessor(-I)" superClass="de.innot.avreclipse.asm.option.include.paths" valueType="includePath">
									<listOptionValue builtIn="false" value="/usr/avr/sys-root/include/"/>
								</option>
								<inputType id="de.innot.avreclipse.tool.assembler.input.103058488" superClass="de.innot.avreclipse.tool.assembler.input"/>
							</tool>
							<tool id="de.innot.avreclipse.tool.compiler.winavr.app.release.1599960695" name="AVR Compiler" superClass="de.innot.avreclipse.tool.compiler.winavr.app.release">
								<option id="de.innot.avreclipse.compiler.option.debug.level.1506999036" name="Generate Debugging Info" superClass="de.innot.avreclipse.compiler.option.debug.level" value="de.innot.avreclipse.compiler.option.debug.level.none" valueType="enumerated"/>
								<option id="de.innot.avreclipse.compiler.option.optimize.989197945" name="Optimization Level" superClass="de.innot.avreclipse.compiler.option.optimize" value="de.innot.avreclipse.compiler.optimize.size" valueType="enumerated"/>
								<option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="false" id="de.innot.avreclipse.compiler.option.incpath.634667513" name="Include Paths (-I)" superClass="de.innot.avreclipse.compiler.option.incpath" valueType="includePath">
									<listOptionValue builtIn="false" value="/usr/avr/sys-root/include/"/>
								</option>
								<inputType id="de.innot.avreclipse.compiler.winavr.input.1619452791" name="C Source Files" superClass="de.innot.avreclipse.compiler.winavr.input"/>
							</tool>
							<tool id="de.innot.avreclipse.tool.cppcompiler.app.release.374758438" name="AVR C++ Compiler" superClass="de.innot.avreclipse.tool.cppcompiler.app.release">
								<option id="de.innot.avreclipse.cppcompiler.option.debug.level.398659815" name="Generate Debugging Info" superClass="de.innot.avreclipse.cppcompiler.option.debug.level" value="de.innot.avreclipse.cppcompiler.option.debug.level.none" valueType="enumerated"/>
								<option id="de.innot.avreclipse.cppcompiler.option.optimize.1835169824" name="Optimization Level" superClass="de.innot.avreclipse.cppcompiler.option.optimize" value="de.innot.avreclipse.cppcompiler.optimize.size" valueType="enumerated"/>
								<option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="false" id="de.innot.avreclipse.cppcompiler.option.incpath.373421266" name="Include Paths (-I)" superClass="de.innot.avreclipse.cppcompiler.option.incpath" valueType="includePath">
									<listOptionValue builtIn="false" value="/usr/avr/sys-root/include/"/>
								</option>
								<inputType id="de.innot.avreclipse.cppcompiler.input.639428088" superClass="de.innot.avreclipse.cppcompiler.input"/>
							</tool>
							<tool id="de.innot.avreclipse.tool.linker.winavr.app.release.1898125859" name="AVR C Linker" superClass="de.innot.avreclipse.tool.linker.winavr.app.release"/>
							<tool id="de.innot.avreclipse.tool.cpplinker.app.release.394362153" name="AVR C++ Linker" superClass="de.innot.avreclipse.tool.cpplinker.app.release">
								<inputType id="de.innot.avreclipse.tool.cpplinker.input.203838715" name="OBJ Files" superClass="de.innot.avreclipse.tool.cpplinker.input">
									<additionalInput kind="additionalinputdependency" paths="$(USER_OBJS)"/>
									<additionalInput kind="additionalinput" paths="$(LIBS)"/>
								</inputType>
							</tool>
							<tool id="de.innot.avreclipse.tool.archiver.winavr.base.1110636129" name="AVR Archiver" superClass="de.innot.avreclipse.tool.archiver.winavr.base"/>
							<tool id="de.innot.avreclipse.tool.objdump.winavr.app.release.1100926224" name="AVR Create Extended Listing" superClass="de.innot.avreclipse.tool.objdump.winavr.app.release"/>
							<tool id="de.innot.avreclipse.tool.objcopy.flash.winavr.app.release.1917597264" name="AVR Create Flash image" superClass="de.innot.avreclipse.tool.objcopy.flash.winavr.app.release"/>
							<tool id="de.innot.avreclipse.tool.objcopy.eeprom.winavr.app.release.497869666" name="AVR Create EEPROM image" superClass="de.innot.avreclipse.tool.objcopy.eeprom.winavr.app.release"/>
							<tool id="de.innot.avreclipse.tool.size.winavr.app.release.394474476" name="Print Size" superClass="de.innot.avreclipse.tool.size.winavr.app.release"/>
							<tool id="de.innot.avreclipse.tool.avrdude.app.release.257247556" name="AVRDude" superClass="de.innot.avreclipse.tool.avrdude.app.release"/>
						</toolChain>
					</folderInfo>
					<sourceEntries>
						<entry excluding="src" flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name=""/>
						<entry flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="src"/>
					</sourceEntries>
				</configuration>
			</storageModule>
			<storageModule moduleId="org.eclipse.cdt.core.externalSettings"/>
		</cconfiguration>
	</storageModule>
	<storageModule moduleId="cdtBuildSystem" version="4.0.0">
		<project id="openChargeMicro.de.innot.avreclipse.project.winavr.elf_2.1.0.1725973903" name="AVR Cross Target Application" projectType="de.innot.avreclipse.project.winavr.elf_2.1.0"/>
	</storageModule>
	<storageModule moduleId="org.eclipse.cdt.core.LanguageSettingsProviders"/>
	<storageModule moduleId="refreshScope" versionNumber="2">
		<configuration configurationName="Debug">
			<resource resourceType="PROJECT" workspacePath="/openChargeMicro"/>
		</configuration>
		<configuration configurationName="Release">
			<resource resourceType="PROJECT" workspacePath="/openChargeMicro"/>
		</configuration>
	</storageModule>
	<storageModule moduleId="org.eclipse.cdt.make.core.buildtargets"/>
	<storageModule moduleId="scannerConfiguration">
		<autodiscovery enabled="true" problemReportingEnabled="true" selectedProfileId=""/>
		<scannerConfigBuildInfo instanceId="de.innot.avreclipse.configuration.app.debug.1427179435;de.innot.avreclipse.configuration.app.debug.1427179435.;de.innot.avreclipse.tool.cppcompiler.app.debug.1143634285;de.innot.avreclipse.cppcompiler.input.250930691">
			<autodiscovery enabled="true" problemReportingEnabled="true" selectedProfileId="de.innot.avreclipse.core.AVRGCCManagedMakePerProjectProfileCPP"/>
		</scannerConfigBuildInfo>
		<scannerConfigBuildInfo instanceId="de.innot.avreclipse.configuration.app.release.1977445521;de.innot.avreclipse.configuration.app.release.1977445521.;de.innot.avreclipse.tool.compiler.winavr.app.release.1599960695;de.innot.avreclipse.compiler.winavr.input.1619452791">
			<autodiscovery enabled="true" problemReportingEnabled="true" selectedProfileId="de.innot.avreclipse.core.AVRGCCManagedMakePerProjectProfileC"/>
		</scannerConfigBuildInfo>
		<scannerConfigBuildInfo instanceId="de.innot.avreclipse.configuration.app.debug.1427179435;de.innot.avreclipse.configuration.app.debug.1427179435.;de.innot.avreclipse.tool.compiler.winavr.app.debug.2133252740;de.innot.avreclipse.compiler.winavr.input.507254525">
			<autodiscovery enabled="true" problemReportingEnabled="true" selectedProfileId="de.innot.avreclipse.core.AVRGCCManagedMakePerProjectProfileC"/>
		</scannerConfigBuildInfo>
		<scannerConfigBuildInfo instanceId="de.innot.avreclipse.configuration.app.release.1977445521;de.innot.avreclipse.configuration.app.release.1977445521.;de.innot.avreclipse.tool.cppcompiler.app.release.374758438;de.innot.avreclipse.cppcompiler.input.639428088">
			<autodiscovery enabled="true" problemReportingEnabled="true" selectedProfileId="de.innot.avreclipse.core.AVRGCCManagedMakePerProjectProfileCPP"/>
		</scannerConfigBuildInfo>
	</storageModule>
	<storageModule moduleId="org.eclipse.cdt.internal.ui.text.commentOwnerProjectMappings"/>
</cproject>
